<?php
use App\Libraries\ejLib;

// $soapclient = new SoapClient('http://192.168.1.112/BE/wsBE.php?wsdl');
/*
use App\Libraries\ejLib;
$var = ejLib::getInstance();
$soapclient = $var->getWs();

$hMAC='';
$hIP='';
$iv = "0123456789CBAFED";
$pass = "29FE31C79BCBE2E3";
  $method = 'aes-128-cbc';

$array= explode('&',openssl_decrypt($_GET['id'], $method, $pass, false, $iv));
$uno = explode('=',$array[0]);
$dos = explode('=',$array[1]);

if($uno[0]=='MAC')$hMAC=$uno[1];
if($uno[0]=='IP')$hIP=$uno[1];
if($dos[0]=='MAC')$hMAC=$dos[1];
if($dos[0]=='IP')$hIP=$dos[1];


$MAC = $hMAC; //$_GET['MAC'];//'FCAA1444571E';
$Id_Med_Con = '92056';
$Clave = '123';
$wsClave = $var->get_wsClave();
// $wsClave = 'jrXmrEEudP5peAMJau5W3A==';

$response = $soapclient->Acceso_validaOperador($Id_Med_Con, $Clave, $wsClave);
//$response = $soapclient->Acceso_getConsultoriosAsignados($MAC, $wsClave);
echo($response);

//ECHO "<BR/>";
$RESPUESTAS = new SimpleXMLElement(utf8_encode($response));
echo $RESPUESTAS->respuesta[0]->especialidad;
*/

?>


<!-- Creado: Félix Ricardo Oliva Alonso, 25/08/2016. Formulario de inicio de sesión  -->

@extends('layouts.master')
@section('content')

  <link rel="stylesheet" href="css/login.css">
  <script src="js/jquery-3.1.0.min.js"></script>
  <script src="js/jqv/dist/jquery.validate.js"></script>
  <script src="js/validar/login.js"></script>

{{-- ********************************************************************** --}}

  <div class="contenedor">
    <div class="contenido">
      <form action="#" id="form_login" method="post">
        <div class="form-group col-md-8 col-md-offset-2"><h4>ACCESO AL SISTEMA</h4></div>
        <?php if(isset($_GET['id'])){

          //$var = ejLib::getInstance();
          //$soapclient = $var->getWs();

          $hMAC='';
          $hIP='';
          $iv = "0123456789CBAFED";
          $pass = "29FE31C79BCBE2E3";
            $method = 'aes-128-cbc';

          $array= explode('&',openssl_decrypt($_GET['id'], $method, $pass, false, $iv));
          $uno = explode('=',$array[0]);
          $dos = explode('=',$array[1]);

          if($uno[0]=='MAC')$hMAC=$uno[1];
          if($uno[0]=='IP')$hIP=$uno[1];
          if($dos[0]=='MAC')$hMAC=$dos[1];
          if($dos[0]=='IP')$hIP=$dos[1];

          $MAC = $hMAC;
          //$wsClave = $var->get_wsClave();
          //$response = $soapclient->Acceso_getConsultoriosAsignados($MAC, $wsClave);

          //$RESPUESTAS = new SimpleXMLElement(utf8_encode($response));


          ?>
        <div class="form-group col-md-8 col-md-offset-2">
          <select id="usuario_s" name="usuario_s" class="form-control">
            <option selected="selected" disabled="disabled" ></option>
            <option value="01">Usuario X</option>
            <option value="02">Usuario Y</option>
            <?php //echo '<option value="'.$RESPUESTAS->respuesta[0]->id_med_con.'">'.$RESPUESTAS->respuesta[0]->nombre_user.'</option>'; ?>
          </select>
        </div>
        <?php }else{ ?>
        <div class="form-group col-md-8 col-md-offset-2">
          <label>Usuario</label>
          <input type="text" class="form-control" name="usuario" id="usuario" placeholder="Ingrese su nombre de usuario" autofocus="">
        </div>
        <?php } ?>
        <div class="form-group col-md-8 col-md-offset-2">
          <label>Contraseña</label>
          <input type="password" class="form-control" name="password" id="password" placeholder="Ingrese su contraseña">
        </div>
        <div class="form-group col-md-8 col-md-offset-2">
          <button type="submit" class="btn btn-default col-md-12" name="button" id="btn_acceder">Acceder</button>
        </div>
      </form>
    </div> 
  </div>
@endsection
